Bug 76181 - Most options for cdlabelgen inoperative.
Most options for cdlabelgen inoperative.
Product: Red Hat Linux
Classification: Retired
Component: cdlabelgen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2002-10-17 17:02 EDT by phostetl
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-24 21:16:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description phostetl 2002-10-17 17:02:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The only flags that appear to work are -d, -D, and -h.

Even the sample from the man page:

cdlabelgen -c "Fitz" -s "home directory" -o qux.ps

does not work.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use cdlabelgen with any flag execpt -d, -D or -h.
2. Observe broken output.

Actual Results:  I always get output with the frame and date.  I can supress or
change the date or display the command syntax with -h.  I have to direct the
output to a file since the -o flag does nothing. The -c, -s, -M, -e, -v, -f, and
-i flags are inoperative.  There are a few more that I haven't tested.

Expected Results:  The flags should behave as indicated in the man page.

Additional info:
Comment 1 Mike A. Harris 2002-10-21 09:09:01 EDT
Have you reported this to the upstream maintainer of cdlabelgen?
Comment 2 phostetl 2002-10-21 15:30:27 EDT
I have not.
Comment 3 Mike A. Harris 2002-10-22 12:39:13 EDT
Reporting the problem upstream might help accelerate a solution or
clarification of the issue.  It's possible it could be a documentation
error as well.  I don't have time to investigate it right now, so
if it gets reported to the upstream maintainer, they might have time
and inclination to dig into it earlier.
Comment 4 phostetl 2002-10-24 13:52:19 EDT
I have communicated with the author, and I have determined the exact cause of
the problem:

$man cdlabelgen

highlight the following line from the examples:

cdlabelgen ‐c "Fitz" ‐s "home directory" ‐o qux.ps

paste it into another gnome-terminal and it does not work.


cdlabelgen ‐c "Fitz" ‐s "home directory" ‐o qux.ps

is not equal to

cdlabelgen -c "Fitz" -s "home directory" -o qux.ps

the "-" character copied and pasted from the man page is not the same "-" from
the keyboard.

I did not catch this initially because I was modifiying the commands from my
bash history which started with the bad cut & paste from the man page.

So this is still a bug, but not for cdlabelgen.  In a way this is much worse
since it is a cut & paste bug which means this problem is systemic.  I don't
know which component it should be assigned to: gnome-terminal, bash (bash2), man...

Comment 5 phostetl 2002-10-24 14:01:31 EDT

*** This bug has been marked as a duplicate of 75642 ***
Comment 6 Mike A. Harris 2002-10-24 21:16:52 EDT
While this bug is similar to the one you've marked it a duplicate
of, - being UTF-8 related, I totally do not consider it a bug.

The cdlabelgen application works as you've found, and I've tested
it to work also.  You can't cut and paste things from UTF-8 encoded
manpages and just expect them to work.

At any rate, if someone does manage to consider it a bug, it definitely
isn't one in cdlabelgen, so I'm closing it as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.